Subject: 25.0.50; vc.el with RCS: undefined function `vc-master-name'

From: Simon Leinen <[email-masked]>
Date: Wed, 26 Nov 2014 18:34:58 +0100

When I run "./src/emacs -Q" and open a file that's under RCS version
control, I get the following error:

  Symbol's function definition is void: vc-master-name

This function is defined in the new `vc-filewise.el'.

It is called from vc-rcs.el and vc-sccs.el.  These two files also call
`vc-rename-master'.  For `vc-rename-master', autoloads are defined in
`vc-rcs.el' and `vc-sccs.el'; but the autoloads still point to "vc"
rather than "vc-filewise".  I fixed that and also added autoloads for
`vc-master-name'.  So please consider the following patch.  With it,
this error should be gone.  I still run into another issue, which I'll
report separately.
-- 
Simon.

diff --git a/lisp/vc/vc-rcs.el b/lisp/vc/vc-rcs.el
index 0b839a6..341a1d4 100644
--- a/lisp/vc/vc-rcs.el
+++ b/lisp/vc/vc-rcs.el
@@ -229,6 +229,8 @@ For a description of possible values, see `vc-check-master-templates'."
         (vc-rcs-fetch-master-state file)
         (vc-file-getprop file 'vc-working-revision))))
 
+(autoload 'vc-master-name "vc-filewise")
+
 (defun vc-rcs-latest-on-branch-p (file &optional version)
   "Return non-nil if workfile version of FILE is the latest on its branch.
 When VERSION is given, perform check for that version."
@@ -974,7 +976,7 @@ Uses `rcs2log' which only works for RCS and CVS."
             nil t)
       (replace-match "$\\1$"))))
 
-(autoload 'vc-rename-master "vc")
+(autoload 'vc-rename-master "vc-filewise")
 
 (defun vc-rcs-rename-file (old new)
   ;; Just move the master file (using vc-rcs-master-templates).
diff --git a/lisp/vc/vc-sccs.el b/lisp/vc/vc-sccs.el
index 780efc4..3d33ae4 100644
--- a/lisp/vc/vc-sccs.el
+++ b/lisp/vc/vc-sccs.el
@@ -174,6 +174,8 @@ For a description of possible values, see `vc-check-master-templates'."
 	  (push (list frel state) result))))
     (funcall update-function result)))
 
+(autoload 'vc-master-name "vc-filewise")
+
 (defun vc-sccs-working-revision (file)
   "SCCS-specific version of `vc-working-revision'."
   (with-temp-buffer
@@ -471,7 +473,7 @@ Remaining arguments are ignored."
     (goto-char (point-min))
     (re-search-forward  "%[A-Z]%" nil t)))
 
-(autoload 'vc-rename-master "vc")
+(autoload 'vc-rename-master "vc-filewise")
 
 (defun vc-sccs-rename-file (old new)
   ;; Move the master file (using vc-rcs-master-templates).